/**
 *
 * Copyright 2005 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.geronimo.axis.builder;

import junit.framework.TestCase;
import org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument;

/**
 * @version $Rev: 356022 $ $Date: 2005-12-11 21:58:34 +0100 (Sun, 11 Dec 2005) $
 */
public class WSDLMapTest extends TestCase {

    public void testOutputStringHasXMLDeclaration() throws Exception {
        SchemaDocument schemaDocument = SchemaDocument.Factory.newInstance();
        schemaDocument.addNewSchema();
        String output = AxisServiceBuilder.xmlObjectToString(schemaDocument);
        assertTrue(output.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?>"));
    }

}