package org.apache.geronimo.connector.work.pool;

import javax.resource.spi.work.WorkException;
import org.apache.geronimo.connector.work.WorkerContext;
import org.apache.geronimo.pool.GeronimoExecutor;

/**
 *
 *
 * @version $Rev: 392847 $ $Date: 2006-04-10 00:58:39 +0200 (Mon, 10 Apr 2006) $
 *
 * */
public interface WorkExecutor {

    /**
     * This method must be implemented by sub-classes in order to provide the
     * relevant synchronization policy. It is called by the executeWork template
     * method.
     *
     * @param work Work to be executed.
     *
     * @throws javax.resource.spi.work.WorkException Indicates that the work has failed.
     * @throws InterruptedException Indicates that the thread in charge of the
     * execution of the specified work has been interrupted.
     */
     void doExecute(WorkerContext work, GeronimoExecutor executor)
            throws WorkException, InterruptedException;


}
